Jump to content
Demivrgvs

SR V4 Open Beta (last update 25 October 2018)

Recommended Posts

Yo.

I'm back.

Take a look at these, and determine if they are needed.

Share this post


Link to post

Then,

 

I can say why (maybe) the BWS could have done this report, it s probbably due to my personnal use error.

When i opened the mod list, as i m a bit clumsy, i deselected one of the category - then i would like to REselect all the default recommended mod but i missed using " Mark > ..." .

Maybe the old fashionned interface has pulled me to commit this mistake.

I have checked the cure medium spell and it s level 2, as i have checked strenght of one which give +2 to all my companions (you include :jump:)

I know SCS has a french version but as i can understand english when it s small text (at least less than a book) i will give a try for now.

 

Here some of the message i have recieved during installation (retry with items revisions : it seems to work)

 

ERROR: error copying [override/sw1h20.itm]
ERROR: error copying [override/sw1h20.itm]
ERROR: COPY ~item_rev/itm/sw1h20.itm~ ~override/sw1h20.itm~ FAILED: cannot open target
ERROR: [item_rev/components/main/items.2da] -> [item_rev/components/main] Patching Failed (COPY) (Unix.Unix_error(24, "open", "item_rev/backup/0/sw1h20.itm"))
ERROR: error copying [item_rev/backup/0/sw1h20.itm]
ERROR: Unix.Unix_error(24, "open", "item_rev/backup/0/sw1h20.itm")
Item Revisions by Demivrgvs (Main Component) - Installs all items (Item Revisions v4 (pre-release)) was not installed due to errors.

 

 

And few uninstalled mods :

 

The following originally selected mods could not be installed:

Mod: Xan NPC
Component: Xan NPC MOD for Baldur's Gate II

Mod: Sword Coast Stratagems
Component: NPCs go to inns

Mod: SoD Banter Restoration
Component: SoD Banter Restoration

 

 

Thanks for sharing so much work.. I hope my Druid will shine again.

Edited by malax83

Share this post


Link to post

Then,

 

I can say why (maybe) the BWS could have done this report, it s probbably due to my personnal use error.

When i opened the mod list, as i m a bit clumsy, i deselected one of the category - then i would like to REselect all the default recommended mod but i missed using " Mark > ..." .

Maybe the old fashionned interface has pulled me to commit this mistake.

I have checked the cure medium spell and it s level 2, as i have checked strenght of one which give +2 to all my companions (you include :jump:)

I know SCS has a french version but as i can understand english when it s small text (at least less than a book) i will give a try for now.

 

Here some of the message i have recieved during installation (retry with items revisions : it seems to work)

 

 

ERROR: error copying [override/sw1h20.itm]

ERROR: error copying [override/sw1h20.itm]

ERROR: COPY ~item_rev/itm/sw1h20.itm~ ~override/sw1h20.itm~ FAILED: cannot open target

ERROR: [item_rev/components/main/items.2da] -> [item_rev/components/main] Patching Failed (COPY) (Unix.Unix_error(24, "open", "item_rev/backup/0/sw1h20.itm"))

ERROR: error copying [item_rev/backup/0/sw1h20.itm]

ERROR: Unix.Unix_error(24, "open", "item_rev/backup/0/sw1h20.itm")

Item Revisions by Demivrgvs (Main Component) - Installs all items (Item Revisions v4 (pre-release)) was not installed due to errors.

 

 

And few uninstalled mods :

 

The following originally selected mods could not be installed:

 

 

Mod: Xan NPC

Component: Xan NPC MOD for Baldur's Gate II

 

Mod: Sword Coast Stratagems

Component: NPCs go to inns

 

Mod: SoD Banter Restoration

Component: SoD Banter Restoration

 

 

Thanks for sharing so much work.. I hope my Druid will shine again.

The last error in your list (SoD Banter) is now corrected in BWS, the mod should not be selectable for non-SoD games.

Share this post


Link to post

 

Yo.

I'm back.

Take a look at these, and determine if they are needed.

 

Y, at least some are, will fix. Tnx.

 

 

Nice to see you again, kreso! ;)

Nice to be here!

Share this post


Link to post

Re: Wish - you could just replace the magical rest with a crapton of 261 effects, only up to 8th level. So you could get most of your spellcasting back, but not Wish.

Share this post


Link to post

Hello,

 

Some description spells seems to be false, is there some description spells which are from previous version ?

 

For example, the lightning bolt should make 1d8 / level but the description says 1D6 / level.. Is my mod correctly installed ? Do you have the same description ?

 

Regards

Share this post


Link to post

Can't vouch for spell descriptions (lot of work)

So, you're not going to make this mod fully compatible with BG:EE, right?

There're currently lots of errors in names, tooltips, descriptions and so forth.... (for example, a good number of opcode 139 (Display String) strrefs in spells are hardcoded to BG2EE strings and are therefore invalid in BGEE. For example, strref 44916 points to "Saving Throws Lowered" in BG2EE, but results in an invalid string in BGEE)

Share this post


Link to post

It does say in the readme that this mod was designed for Baldur's Gate 2

 

With EET installed you're on the BG2 engine so, technically, it would be compatible with BG1 at that point ;)

Share this post


Link to post

It does say in the readme that this mod was designed for Baldur's Gate 2

 

With EET installed you're on the BG2 engine so, technically, it would be compatible with BG1 at that point ;)

Luke never actually asked about EET, just the regular BG1EE. Like kreso says, it's going to take a lot of work to update things to go through ... but, this is things that need to be done for a "full compatibility". Not that, that's nessasarily needed, as there are the EET, but that assumes that every player uses it, which is not compatiblity, but lazy-ass-ness, kinda.

And yes, the BG1EE uses the BG2's enhanced engine, but it doesn't have the same/extended dialog.tlk file attached, so the discretionary texts will be off by a mile in most cases.

Edited by Jarno Mikkola

Share this post


Link to post

You also might like our Low Magic World mod, which I think we released since you were gone...

 

(Okay I'm done advertising.)

 

#500 components is really interessant,

 

PS : Please, somebody can answer to my last message, thanks

Edited by malax83

Share this post


Link to post

Sorry this is taking so long. I started playing the damn game, found bugs, fixed, started playing again.....eheheeh. Old habits. Anyhow, I'm not keen on mantaining SR for EE1 alone. Making it work on old engine + new is already a lot for me and my time, let alone adding another game where all that is messed up is a few strings (a game which I hardly even played as a standalone).

You've got a stable EET version guys, play that. So much more convinient...

Share this post


Link to post
Guest
This topic is now closed to further replies.

×
×
  • Create New...